## com.fasterxml.jackson.databind.annotation
Annotation Type JsonNaming

    @Target(value={ANNOTATION_TYPE,TYPE})
    @Retention(value=RUNTIME)
    public @interface JsonNaming

Annotation that can be used to indicate a `PropertyNamingStrategy` to use for annotated class. Overrides the global (default) strategy.

Since:
  2.1

Required Element Summary
`Class<? extends PropertyNamingStrategy>` `value`

Element Detail

### value

    public abstract Class<? extends PropertyNamingStrategy> value

Copyright © 2012 FasterXML. All Rights Reserved.